Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class AllocateAddressResult

    java.lang.Object
      com.amazonaws.services.ec2.model.AllocateAddressResult

    public class AllocateAddressResult

extends Object

Result returned from allocating an Elastic IP.

Constructor Summary
`AllocateAddressResult()`

Method Summary
`String` | `getPublicIp()` IP address for use with your account.
`void` | `setPublicIp(String publicIp)` IP address for use with your account.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AllocateAddressResult` | `withPublicIp(String publicIp)` IP address for use with your account.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllocateAddressResult

    public AllocateAddressResult()

Method Detail

### getPublicIp

    public String getPublicIp()

  IP address for use with your account.

  Returns:
    IP address for use with your account.

### setPublicIp

    public void setPublicIp(String publicIp)

  IP address for use with your account.

  Parameters:
    `publicIp` - IP address for use with your account.

### withPublicIp

    public AllocateAddressResult withPublicIp(String publicIp)

  IP address for use with your account.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `publicIp` - IP address for use with your account.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.